/*************************************************************************************
 * MechSys - A C++ library to simulate (Continuum) Mechanical Systems                *
 * Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>       *
 *                                                                                   *
 * This file is part of MechSys.                                                     *
 *                                                                                   *
 * MechSys is free software; you can redistribute it and/or modify it under the      *
 * terms of the GNU General Public License as published by the Free Software         *
 * Foundation; either version 2 of the License, or (at your option) any later        *
 * version.                                                                          *
 *                                                                                   *
 * MechSys is distributed in the hope that it will be useful, but WITHOUT ANY        *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.          *
 *                                                                                   *
 * You should have received a copy of the GNU General Public License along with      *
 * MechSys; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, *
 * Fifth Floor, Boston, MA 02110-1301, USA                                           *
 *************************************************************************************/

#ifndef CHARINVS_H
#define CHARINVS_H

#include <cassert>
#include "../base/mechsys.h"

namespace MechSys
{

class CharInvs
{
public:
	CharInvs(const Tensr2 & T) { _calculate_charinvs(T); }
	double I(int i) const { assert(i>=0 & i<3); return _I[i]; }
private:
	double _I[3]; // Characteristic invariants
	void   _calculate_charinvs(const Tensr2 & T);
}; // class CharInvs

}; // namespace MechSys

#endif
