/*************************************************************************************
 * MechSys - A C++ library to simulate (Continuum) Mechanical Systems                *
 * Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>       *
 *                                                                                   *
 * This file is part of MechSys.                                                     *
 *                                                                                   *
 * MechSys is free software; you can redistribute it and/or modify it under the      *
 * terms of the GNU General Public License as published by the Free Software         *
 * Foundation; either version 2 of the License, or (at your option) any later        *
 * version.                                                                          *
 *                                                                                   *
 * MechSys is distributed in the hope that it will be useful, but WITHOUT ANY        *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.          *
 *                                                                                   *
 * You should have received a copy of the GNU General Public License along with      *
 * MechSys; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, *
 * Fifth Floor, Boston, MA 02110-1301, USA                                           *
 *************************************************************************************/

#include <iostream>
#include <iomanip>
#include "matrix.h"

std::ostream & operator<< (std::ostream & os, const LinAlg::Matrix & M)
{
	for (int i=0; i<M.Rows(); ++i)
	{
		for (int j=0; j<M.Cols(); ++j)
			os << std::setw(12) << M(i,j);
		os << std::endl;
	}
	return os;
}

std::istream & operator>> (std::istream & is, LinAlg::Matrix & M)
{
	for (int i=0; i<M.Rows(); ++i)
	for (int j=0; j<M.Cols(); ++j)
		is >> M(i,j);
	return is;
}
