/*************************************************************************************
 * MechSys - A C++ library to simulate (Continuum) Mechanical Systems                *
 * Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>       *
 *                                                                                   *
 * This file is part of MechSys.                                                     *
 *                                                                                   *
 * MechSys is free software; you can redistribute it and/or modify it under the      *
 * terms of the GNU General Public License as published by the Free Software         *
 * Foundation; either version 2 of the License, or (at your option) any later        *
 * version.                                                                          *
 *                                                                                   *
 * MechSys is distributed in the hope that it will be useful, but WITHOUT ANY        *
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   *
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.          *
 *                                                                                   *
 * You should have received a copy of the GNU General Public License along with      *
 * MechSys; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, *
 * Fifth Floor, Boston, MA 02110-1301, USA                                           *
 *************************************************************************************/

#include <iostream>
#include <sstream>
#include "model.h"

MechSys::Model::Model()
{
	// Identities (Constant)
	for (int i=0; i<3; ++i)
	{
	    _I[i] = 1.0;            // Second order Identity
	    for (int j=0; j<3; ++j)
	        _IdyI[i][j] = 1.0;  // _I dyadic _I
	}
	_IIsym.SetDiagonal(1.0);    // Fourth order Identity (Symmetric)
}

std::ostream & operator<< (std::ostream & os, const MechSys::Model & mo)
{
	std::ostringstream oss;
	mo.Out(oss);
	os << oss.str();
	return os;
}
