#####################################################################################
# Tensors - A C++ library to work with tensors                                      #
# Copyright (C) 2005 Dorival de Moraes Pedroso <dorival_pedroso em yahoo.com>       #
#                                                                                   #
# This file is part of Tensors.                                                     #
#                                                                                   #
# Tensors is free software; you can redistribute it and/or modify it under the      #
# terms of the GNU General Public License as published by the Free Software         #
# Foundation; either version 2 of the License, or (at your option) any later        #
# version.                                                                          #
#                                                                                   #
# Tensors is distributed in the hope that it will be useful, but WITHOUT ANY        #
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A   #
# PARTICULAR PURPOSE. See the GNU General Public License for more details.          #
#                                                                                   #
# You should have received a copy of the GNU General Public License along with      #
# Tensors; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, #
# Fifth Floor, Boston, MA 02110-1301, USA                                           #
#####################################################################################

CC      = g++
CFLAGS  = -g -Wall
#CFLAGS  = -O2 -DNDEBUG
TENSPAT = ../src
INCS    = -I$(TENSPAT)

DEPS_ = tensor1.h tensor2.h tensor3.h tensor4.h tensoperators.h
DEPS  = $(patsubst %,$(TENSPAT)/%,$(DEPS_))

PROG  = test_io
SRCS  = test_io.cpp
OBJS  = $(SRCS:.cpp=.o)

PROG1  = test_specific_methods
SRCS1  = test_specific_methods.cpp
OBJS1  = $(SRCS1:.cpp=.o)

all: $(PROG) $(PROG1)

$(PROG): $(OBJS)
	$(CC) $(OBJS) -o $@

$(PROG1): $(OBJS1)
	$(CC) $(OBJS1) -o $@

%.o: %.cpp $(DEPS)
	$(CC) $(CFLAGS) $(INCS) -c $<

clean:
	rm -f *.o

kill:
	rm -f *.o $(PROG) $(PROG1)
